import {
  geoMercator,
  geoPath,
  geoGraticule,
} from 'd3';
import { useMemo } from 'react';

const projection = geoMercator()
  .scale(8500)
  .center([-75, 40.17]);
// const projection = geoNaturalEarth1();
const path = geoPath(projection);
// const graticule = geoGraticule();

export const Marks = ({
  NJMap: { land, interiors },
  data,
}) => (
  <g className="marks">
    {useMemo(
      () => (
        <>
          {land.features.map((feature) => (
            <path  className="land"  d={path(feature)}  />
          ))}
          <path className="interiors" d={path(interiors)} />
          {data.map((d) => {
            const [x, y] = projection(d.coords);
            return <circle cx={x} cy={y} r={50} />;
          })}
        </>
      ),
      [land, interiors, data]
    )}
  </g>
);
