import React, { useMemo } from 'react';
import { scaleSqrt, max } from 'd3';
import { Marks } from './Marks';

const sizeValue = d => d['Annual_Salary'];
const maxRadius = 1000;

export const BubbleMap = ({ data, filteredData, NJMap }) => {

    const sizeScale = scaleSqrt()
    .domain([0, max(data, sizeValue)])
    .range([0, maxRadius]);
  
  return (
    <Marks
      NJMap={NJMap}
      data={data}
    />
  );
};
