import { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl = 'https://gist.githubusercontent.com/edisonghc/ed7561d2dde6760b3aedfb0053c7fa27/raw/NJ_Income.csv'
const row = d => {
  d.lat = +d.lat;
  d.lon = +d.lon;
  d.coords = [d.lat, d.lon];
  d.AGE = +d.AGE;
  d.Annual_Salary = +d.Annual_Salary;
  return d;
};

export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    csv(csvUrl, row).then(setData);
  }, []);

  return data;
};
