import React, { useState, useEffect } from 'react';
import { json } from 'd3';
import { feature, mesh } from 'topojson';

const jsonUrl = 'https://gist.githubusercontent.com/edisonghc/2fff6b50c672055610df1b4f53a31781/raw/County_Boundaries_of_NJ.json';

export const useNJMap = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    json(jsonUrl).then(topology => {
      const { County_Boundaries_of_NJ } = topology.objects;
      setData({
        land: feature(topology, County_Boundaries_of_NJ),
        interiors: mesh(topology, County_Boundaries_of_NJ, (a, b) => a !== b)
      });
    });
  }, []);

  return data;
};
